#!/bin/bash
cd /tmp
/bin/rm -rf /tmp/last >/dev/null 2>&1
/usr/bin/wget http://duoart.eladit.com/download/BETA_DUO_ART/last
rc=$?
if /usr/bin/test $rc -ne 0
then
	echo "wget problem"
	echo "ELADERROR 1"
	cd -
	exit 1
fi
/bin/tar xvzf /tmp/last
rc=$?
if /usr/bin/test $rc -ne 0
then
	echo "tar problem"
	echo "ELADERROR 2"
	cd -
	exit 2
fi
good=`readlink -n /opt/vibra`
rc=$?
echo $good
if /usr/bin/test $rc -ne 0
then
	echo "/opt/vibra non simlnk"
	echo "ELADERROR 3"
	cd -
	exit 3
fi
if /usr/bin/test -e /opt/good
then
	if /usr/bin/test -h /opt/good
	then
		echo "/opt/good exists and simlnk we return to previous"
		/bin/mount -o remount defaults,rw /
		rc=$?
		if /usr/bin/test $rc -ne 0
		then
			echo "/root rw remount failed"
			echo "ELADERROR 94"
			exit 94
		fi
		oldgood=`readlink -n /opt/good`
		rc=$?
		echo $oldgood
		if /usr/bin/test $rc -ne 0
		then
			echo "/opt/oldgood non simlnk"
			echo "ELADERROR 95"
			cd -
			exit 95
		fi
		rm /opt/vibra >/dev/null 2>/dev/null
		/bin/ln -s $oldgood /opt/vibra
		rc=$?
		echo $rc
		if /usr/bin/test $rc -ne 0
		then
			echo "cannot make simlnk $oldgood to /opt/vibra"
			echo "ELADERROR 96"
			exit 96
		fi
		echo "rm /opt/good"
		rm /opt/good >/dev/null 2>/dev/null
		echo "rm -rf $good"
		rm -rf $good >/dev/null 2>/dev/null
		sleep 2
		echo "ELADERROR 97"
		exit 97
	fi
fi
if /usr/bin/test -e /opt/set/good
then
	if /usr/bin/test -h /opt/set/good
	then
		echo "/opt/set/good exists and simlnk we return to previous"
		/bin/mount -o remount defaults,rw /opt/set/
		rc=$?
		if /usr/bin/test $rc -ne 0
		then
			echo "/opt/set/ rw remount failed"
			echo "ELADERROR 14"
			exit 14
		fi
		/bin/mount -o remount defaults,rw /
		rc=$?
		if /usr/bin/test $rc -ne 0
		then
			echo "/root rw remount failed"
			echo "ELADERROR 4"
			exit 4
		fi
		oldgood=`readlink -n /opt/set/good`
		rc=$?
		echo $oldgood
		if /usr/bin/test $rc -ne 0
		then
			echo "/opt/oldgood non simlnk"
			echo "ELADERROR 5"
			cd -
			exit 5
		fi
		rm /opt/vibra >/dev/null 2>/dev/null
		/bin/ln -s $oldgood /opt/vibra
		rc=$?
		echo $rc
		if /usr/bin/test $rc -ne 0
		then
			echo "cannot make simlnk $oldgood to /opt/vibra"
			echo "ELADERROR 6"
			exit 6
		fi
		echo "rm /opt/set/good"
		rm /opt/set/good >/dev/null 2>/dev/null
		echo "rm -rf $good"
		rm -rf $good >/dev/null 2>/dev/null
		sleep 2
		echo "ELADERROR 7"
		exit 7
	fi
fi
/bin/mount -o remount defaults,rw /opt/set/
rc=$?
if /usr/bin/test $rc -ne 0
then
	echo "/root rw remount failed"
	echo "ELADERROR 15"
	exit 15
fi
/bin/mount -o remount defaults,rw /
rc=$?
if /usr/bin/test $rc -ne 0
then
	echo "/root rw remount failed"
	echo "ELADERROR 8"
	exit 8
fi
if /usr/bin/test -e /opt/set/good
then
	echo "/opt/set/good cannot be deleted"
	echo "ELADERROR 9"
	exit 9
fi
/bin/ln -s $good /opt/set/good
rc=$?
echo $rc
if /usr/bin/test $rc -ne 0
then
	echo "failed to simlink /opt/set/good to $good"
	echo "ELADERROR 10"	
	exit 10
fi
vibra=/opt/DuoArt/`cat /tmp/name`
echo $vibra
if /usr/bin/test "$vibra" == "/opt/DuoArt/"
then
	echo "vibra empty"
	echo "ELADERROR 11"
	exit 11
fi
rm /opt/vibra >/dev/null 2>/dev/null
/bin/ln -s $vibra /opt/vibra
rc=$?
echo $rc
if /usr/bin/test $rc -ne 0
then
	echo "cannot make simlnk $vibra to /opt/vibra"
	echo "ELADERROR 12"
	exit 12
fi
/bin/mv /tmp/`cat /tmp/name` /opt/DuoArt
rc=$?
echo $rc
if /usr/bin/test $rc -ne 0
then
	echo "cannot mov $vibra to /opt/"
	echo "ELADERROR 13"
	exit 13
fi
cat /tmp/postinstall/README
sleep 6
/tmp/postinstall/execute
rc=$?
echo $rc
if /usr/bin/test $rc -ne 0
then
	echo "postinstall error"
	echo "ELADERROR 14"
	exit $rc
fi

sleep 2
echo "ALLOK"
exit 0
